#include<iostream>
#include<cstdio>
using namespace std;
int v;
int main(){

    cin>>v;

    int stepen=0;

    int v1=v;
    while(v1!=0){
        v1=v1/10;
        stepen++;
    }

    int res=0;

    for(int i=stepen;i>=0;i--){
        int x=1;
        for(int j=1;j<=i;j++){
            x=x*10;
        }
        if(v>=5*x){
            res+=v/(5*x);
            v=v%(5*x);
        }
        if(v>=2*x){
            res+=v/(2*x);
            v=v%(2*x);
        }
        if(v>=x){
            res+=v/x;
            v=v%x;
        }
    }

    cout<<res<<endl;

    return 0;
}